# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc添加赠品商品至购物车列表,2252,2252-5,sit,bs
主数据平台:多采商城购物车列表新增商品接口 
"""

from common.common_func import commonFuc
from air_case.cmdc_login.多采商城登录.多采商城登录 import CmdcMaiiLogin
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json

module = "cmdc_buyercar_list"

# 第一步登录后台管理系统查询商品列表获取赠品商品信息
# 获取登录后台管理系统所需账号密码
username = commonFuc().get_business_data(module, "username2")
password = commonFuc().get_business_data(module, "password2")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步查询商品列表获取赠品商品信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url80")
request_body = commonFuc().get_business_data(module, "payload80")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
# 获取商品列表中商品信息
product_id = result["data"]["list"][0]["productId"]
price = result["data"]["list"][0]["referencePrice"]
filiale_code = result["data"]["list"][0]["filialeCode"]

# 第三步登录多采商城添加商品至购物车列表
# 获取登录多采商城所需账号密码
username1 = commonFuc().get_business_data(module, "username")
password1 = commonFuc().get_business_data(module, "password")
# 获取登录后Cmdc_access_token
cmdc_access_token1 = CmdcMaiiLogin(username1, password1).get_token()
headers1 = commonFuc().get_business_data(module, "json_headers10", cmdc_access_token1)

# 将商品添加至购物车列表
url1 = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url2")
request_body1 = commonFuc().get_business_data(module, "payload8", product_id, price, filiale_code)

"""
 场景:添加赠品至购物车列表
 用例名称：添加赠品至购物车列表
 输出：{"success":true,"code":"200","message":"OK","data":"ok"}
"""
# 发送请求
result1 = requests.post(url1, json=request_body1, headers=headers1)
result1 = json.loads(result1.content)
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict8")
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result1)
