# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc商品附件上传功能验证,2293,2293-015,sit,bs
主数据平台:运营后台管理系统商品附件上传接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import random
import json


module = "cmdc_product"

# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 获取产品线信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url29")
request_body = commonFuc().get_business_data(module, "payload29")
# 发送请求
result = requests.get(url, json=request_body)
result = json.loads(result.content)

# 生成随机数量
line_random = random.randint(0, len(result["data"]) - 1)
# 获取产品线信息
product_line_code = result["data"][line_random]["productLineCode"]
product_line_name = result["data"][line_random]["productLineName"]
file_name = "上传商品附件" + str(line_random) + str(random.randint(1, 1000000))

# 获取商品附件上传日志信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url30")
request_body = commonFuc().get_business_data(module, "payload30", product_line_code, product_line_name, file_name)

"""
 场景: 商品附件上传功能验证
 用例名称：商品附件上传功能验证
 输出：{"success":true,"code":"200","message":"OK"}
"""
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
# print(result)
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict30")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
