# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc商品属性批量新增功能验证,2293,2293-009,sit,bs
主数据平台:后台运营系统商品属性批量新增接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.handle_excel import HandleExcel
import requests
import random
import json
import os

module = "cmdc_product"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers_file", cmdc_access_token)

# 获取文件
BASE_DIR = os.path.dirname(os.path.dirname(os.path.dirname(os.path.dirname(os.path.abspath(__file__)))))
file_path = BASE_DIR + "/data/cmdc_files/商品属性批量维护模板.xlsx"

# 第二步获取商品列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url3")
request_body = commonFuc().get_business_data(module, "payload3")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 生成一个随机数字，用于后续随机选择某一条商品信息
rebate_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取商品信息
product_code = result["data"]["list"][rebate_random]["productCode"]
product_name = result["data"]["list"][rebate_random]["productName"]

# 将商品信息写入文件中
excel = HandleExcel(file_path, "Sheet1")
excel.write_data(row=2, column=1, value=product_name)
excel.write_data(row=2, column=2, value=product_code)
excel.write_data(row=2, column=3, value=rebate_random)
excel.write_data(row=2, column=4, value=rebate_random)
excel.write_data(row=2, column=5, value=rebate_random)

# 第三步进行商品属性批量新增
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url8")
# print(url)
request_body = {"importSign": "productProperties", "area": ""}
# print(request_body)

# 获取文件
file = open(file_path, "rb")
files = {"file": file}

"""
 场景: 商品属性批量新增功能验证
 用例名称：商品属性批量新增功能验证
 输出：{"success":true,"code":"200","message":null,"data":null,"freshToken":null}
"""

# 发送请求
result = requests.post(url, files=files, headers=headers, params=request_body)
result = json.loads(result.content)
file.close()
# print(result)
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict8")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
