# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc库存配置导出验证,2293,2293-032,sit,bs
涉及到接口:多采商城库存配置导出接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.handle_excel import HandleExcel
import requests
import json
import os


module = "cmdc_product"

# 第一步登录多采商城获取token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers_file", cmdc_access_token)

# 库存配置id
rule_id = "7"
# 第二步获取库存配置详情
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url25")
request_body = commonFuc().get_business_data(module, "payload25", rule_id)
# 发送请求
result = requests.get(url, params=request_body, headers=headers)
result = json.loads(result.content)

# 获取库存配置信息
product_line_code = result["data"]["stockRuleProductLineReqVos"][0]["productLineCode"]

# 第三步库存配置导出
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url26")
request_body = commonFuc().get_business_data(module, "payload26", rule_id)
# print(request_body)

"""

 场景: 库存配置导出验证
 用例名称：库存配置导出验证
 输出：{"productLineCode":"%s"}
"""

# 发送请求
result = requests.get(url, params=request_body, headers=headers)
# result = json.loads(result.content)
# print(result)

# 获取文件
BASE_DIR = os.path.dirname(os.path.dirname(os.path.dirname(os.path.dirname(os.path.abspath(__file__)))))
file_path = BASE_DIR + "/data/cmdc_files/库存展示.xlsx"

# 获取到导出文件存入cmdc_files文件中
with open(file_path, 'wb') as f:
    f.write(result.content)

# 获取文件中订单编号
excel = HandleExcel(file_path, "产品线展示库存")
result = {"productLineCode": excel.read_data()[0].get("产品线编码")}
# print(result)
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict26", product_line_code)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)

